<?php declare(strict_types=1);

namespace App\Http\Requests\Admin\Projects\About;

use App\Contracts\FormRequestDto;
use App\Dto\Service\Admin\Project\About\StoreUpdate;
use Illuminate\Foundation\Http\FormRequest;

final class StoreUpdateRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'title' => ['required', 'string', 'max:255',],
            'description' => ['nullable', 'string',],
        ];
    }

    public function getDto(): StoreUpdate
    {
        return new StoreUpdate(
            title: $this->input('title'),
            description: $this->input('description'),
        );
    }
}
