<?php declare(strict_types=1);

namespace App\Policies;

use App\Models\ProjectContent;
use App\Models\User;

final readonly class ProjectContentPolicy extends Policy
{
    public function viewAny(User $user): bool
    {
        return $user->hasPermission('project-content.view');
    }

    public function view(User $user, ProjectContent $projectContent): bool
    {
        return $user->hasPermission('project-content.view');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('project-content.create');
    }

    public function update(User $user, ProjectContent $projectContent): bool
    {
        return $user->hasPermission('project-content.update');
    }
}
