<div class="mb-3">
    <label for="form-textarea-wysiwyg-{{ $requestName }}">{{ $title }}</label>
    <textarea class="form-control textarea-tinymce @error($requestName) is-invalid @enderror" name="{{ $name }}" id="form-textarea-wysiwyg-{{ $requestName }}" rows="3">{{ $value }}</textarea>
    @error($requestName)
    <span class="invalid-feedback">{{ $message }}</span>
    @enderror
</div>
@pushOnce('scripts')
    <script src="{{ asset('/build/tinymce/tinymce.min.js') }}" referrerpolicy="origin"></script>
    <script>
        document.addEventListener('DOMContentLoaded', () => {
            tinymce.init({
                selector: '.textarea-tinymce',
                @if(in_array(app()->getLocale(), ['ru'], true))
                    language: '{{ app()->getLocale() }}',
                @endif
                license_key: '{{ $tinymceLicenseKey }}',
                plugins: 'advlist code emoticons link lists table codesample',
                toolbar: 'bold italic | bullist numlist | link emoticons codesample',
                referrer_policy: 'origin',
            });
        });
    </script>
@endpushonce
