<!DOCTYPE html>
<html lang="{{ $websiteTranslations->getLanguage()->attribute_lang }}">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <title>@yield('meta_title', '')</title>
    <meta name="keywords" content="@yield('meta_keywords', '')" />
    <meta name="description" content="@yield('meta_description', '')" />

    @vite('resources/site/scss/app.scss')
</head>
<body>
    <div class="wrapper">
        <header class="header">
            <div class="header_logo">
                <a href="{{ \App\Enums\Site\ProjectSection::Home->url($project, $websiteTranslations->getLanguage()) }}">
                    @if($logo)
                        <img src="{{ $logo->url }}" alt="{{ $project->name }}">
                    @else
                        <strong>{{ $project->name }}</strong>
                    @endif
                </a>
            </div>
            <button id="mobile-menu" type="button" aria-label="{{ $websiteTranslations->translate('site.Menu') }}">
                <svg class="open" width="45" height="45" data-slot="icon" fill="none" stroke-width="1.5" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M3.75 6.75h16.5M3.75 12h16.5m-16.5 5.25h16.5"></path>
                </svg>
                <svg class="close" width="45" height="45" data-slot="icon" fill="none" stroke-width="1.5" stroke="currentColor" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg" aria-hidden="true">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12"></path>
                </svg>
            </button>
            <x-site.choose-language :websiteTranslations="$websiteTranslations" :project="$project" />
        </header>
        <div class="main-container">
            <nav id="menu">
                <div class="menu__title">{{ __('site.Menu') }}</div>
                <ul>
                    <li><a href="{{ \App\Enums\Site\ProjectSection::Home->url($project, $websiteTranslations->getLanguage()) }}" @class(['active' => request()->route()->named(['home', 'language.home', 'project.home', 'project.language.home'])])>{{ $websiteTranslations->translate('site.About project') }}</a></li>
                </ul>
            </nav>
            <div class="section-container">
                <div class="content">
                    <h1>@yield('h1', '')</h1>
                    {{ $slot }}
                </div>
                <footer class="footer">
                    <a href="https://git.kor-elf.net/kor-elf/my-projects-website" target="_blank">{{ $websiteTranslations->translate('site.Powered by service') }}</a>
                </footer>
            </div>
        </div>
    </div>
    @vite('resources/site/js/app.js')
</body>
</html>
